#
# spec file for package qlvnictools (Version 0.0.1 )
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           qlvnictools
Version:        0.0.1
Release:        13%{?dist}
Summary:        VNIC ULP service
Group:          System Environment/Base
License:        GPLv2
URL:            http://www.openfabrics.org
Source: http://www.openfabrics.org/downloads/qlvnictools-%{version}-0.1.ge27eef7.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ibvexdmtools
BuildRequires:  libibumad-devel, libibverbs-devel, autoconf
ExclusiveArch:  i386 x86_64 ia64 ppc ppc64
%description
VNIC ULP service

%package -n ibvexdmtools 
Group:          System/Console
Summary:        Tools for VNIC/IB
%description -n ibvexdmtools
In conjunction with the kernel ib_vnic driver, ibvexdmtools allows you
to discover and use QLogic Virtual NIC devices via the VNIC protocol
over InfiniBand.

%prep
%setup -q

%build
CFLAGS="$CFLAGS -fno-strict-aliasing"
pushd ibvexdmtools
%configure
make
popd
pushd qlgc_vnic_daemon
%configure
make
popd

%install
install -D qlgc_vnic ${RPM_BUILD_ROOT}%{_initrddir}/qlgc_vnic
install -D ib_qlgc_vnic_parser.pl ${RPM_BUILD_ROOT}%{_sbindir}/ib_qlgc_vnic_parser.pl
install -D ib_qlgc_vnic_info ${RPM_BUILD_ROOT}%{_sbindir}/ib_qlgc_vnic_info
install -D qlgc_vnic.cfg.sample ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/qlogic_vnic.cfg
pushd ibvexdmtools
make DESTDIR=${RPM_BUILD_ROOT} install
popd
pushd qlgc_vnic_daemon
make DESTDIR=${RPM_BUILD_ROOT} install
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_initrddir}/qlgc_vnic
%{_sbindir}/ib_qlgc_vnic_parser.pl
%{_sbindir}/ib_qlgc_vnic_info
%{_sbindir}/ib_qlgc_vnic_update
%{_sysconfdir}/ofed/qlogic_vnic.cfg

%files -n ibvexdmtools
%defattr(-,root,root)
%doc ibvexdmtools/NEWS ibvexdmtools/ChangeLog
%{_sbindir}/ib_qlgc_vnic_query

%changelog
* Wed Aug 15 2012 Doug Ledford <dledford@redhat.com> - 0.0.1-13
- Bump and rebuild against latest libibumad
- Related: bz847913

* Tue Dec 22 2009 Doug Ledford <dledford@redhat.com> - 0.0.1-12
- Bump and rebuild against new libibumad
- Related: bz518218

* Sat Apr 18 2009 Doug Ledford <dledford@redhat.com> - 0.0.1-11
- Update to ofed 1.4.1-rc3 version
- Related: bz459652

* Thu Sep 18 2008 Doug Ledford <dledford@redhat.com> - 0.0.1-10
- Add autoconf to the BuildRequires in order to correct build warnings

* Wed Sep 17 2008 Doug Ledford <dledford@redhat.com> - 0.0.1-9
- Upstream has updated the tarball with updating the version.  Grab the
  0.0.1 tarball from the ofed 1.4-beta1 release.
- Resolves: bz451482

* Sat Apr 05 2008 Doug Ledford <dledford@redhat.com> - 0.0.1-8
- Bump n-v-r to make it higher than previously released package

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 0.0.1-2
- Was missing the dist tag on the release
- Also needed an exclusivearch tag

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 0.0.1-1
- Initial import into Red Hat repo management
- Related: bz428197

* Thu Jul 12 2007 - hvogel@suse.de
- move the init script and the config to the right place
* Tue Jul 03 2007 - hvogel@suse.de
- Initial Package, Version 0.0.1
